Package bitel.billing.server.contract.bean

# Class LimitChangeTask

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
bitel.billing.server.contract.bean.LimitChangeTask

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public final class LimitChangeTask extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LimitChangeTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDate()`
  `BigDecimal`
  `getDeltaSum()`
  `ContractLimitAvtoStatus`
  `getStatus()`
  `int`
  `getUserId()`
  `boolean`
  `isCreateByContract()`
  `LimitChangeTask`
  `setContractId(int contractId)`
  `void`
  `setCreateByContract(boolean createByContract)`
  `LimitChangeTask`
  `setDate(Date date)`
  `LimitChangeTask`
  `setDeltaSum(BigDecimal sum)`
  `LimitChangeTask`
  `setId(int id)`
  Устанавливает id объекта
  `LimitChangeTask`
  `setStatus(ContractLimitAvtoStatus status)`
  `LimitChangeTask`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LimitChangeTask

    public LimitChangeTask()

- ## Method Details

  - ### setId

    public LimitChangeTask setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setContractId

    public LimitChangeTask setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getDate

    public Date getDate()

  - ### setDate

    public LimitChangeTask setDate(Date date)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public LimitChangeTask setUserId(int userId)

  - ### getDeltaSum

    public BigDecimal getDeltaSum()

  - ### setDeltaSum

    public LimitChangeTask setDeltaSum(BigDecimal sum)

  - ### getStatus

    public ContractLimitAvtoStatus getStatus()

  - ### setStatus

    public LimitChangeTask setStatus(ContractLimitAvtoStatus status)

  - ### isCreateByContract

    public boolean isCreateByContract()

  - ### setCreateByContract

    public void setCreateByContract(boolean createByContract)